Bug 192925 - Maybe a bug about the Software Updater
Summary: Maybe a bug about the Software Updater
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 5
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-24 09:28 UTC by zhangqing
Modified: 2014-01-21 22:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 20:43:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description zhangqing 2006-05-24 09:28:11 UTC
Description of problem:
Component: Software Updater
Summary: TB9f78d0ec main.py:244:execute:DatabaseError: database disk image is
malformed

Traceback (most recent call last):
  File "/usr/sbin/pup", line 389, in ?
    main()
  File "/usr/sbin/pup", line 385, in main
    pup.run()
  File "/usr/sbin/pup", line 357, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 161, in doRefresh
    self.reposSetup(pbar)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 154, in reposSetup
    self.doSackSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 294, in doSackSetup
    self.pkgSack.excludeArchs(archlist)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 530, in
excludeArchs
    cur.execute(querystring)
  File "/usr/lib/python2.4/site-packages/sqlite/main.py", line 244, in execute
    self.rs = self.con.db.execute(SQL)
DatabaseError: database disk image is malformed

Local variables in innermost frame:
self: <sqlite.main.Cursor instance at 0xb5be632c>
parms: ()
SQL: select * from packages WHERE arch != "athlon" AND arch != "i686" AND arch
!= "i586" AND arch != "i486" AND arch != "i386" AND arch != "noarch" 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2006-05-24 14:37:29 UTC
This is something being broken in your sqlite cache -- are you having hardware
problems?

Comment 2 Jeremy Katz 2006-09-18 20:43:33 UTC
Closing due to inactivity


Note You need to log in before you can comment on or make changes to this bug.